{% extends 'utils/_form_layout.html' %}

{% from 'utils/_form_input.html' import form_builder %}
{% from 'utils/_form_button.html' import button %}

{% block content_title %}Create{% endblock %}

{% block link %}
    {{ super() }}
    <script src="{{ static('js/password_tag/itemCreate.js') }}"></script>
    <script src="{{ static('js/includes/checkPasswordStrength.js') }}"></script>
{% endblock %}

{% block form_body %}
    {{ form_builder(form.username) }}
    {{ form_builder(form.password1, {"addons": "fa-solid fa-eye", "settings": ["password_strength"]}) }}
    {{ form_builder(form.password2, {"addons": "fa-solid fa-eye", "settings": ["password_strength"]}) }}
    {{ form_builder(form.url) }}
{% endblock %}

{% block form_submit %}
    {{ button('success', 'Create') }}
{% endblock %}